---------------------
PatchSet 6687 
Date: 2008/01/22 17:07:02
Author: chtsanti
Branch: async-calls
Tag: (none) 
Log:
ConnStateData is not a RefCountable class any more and cbdata used instead (I just forgot to commit these files)

Members: 
	src/redirect.cc:1.27.4.1->1.27.4.2 
	src/stat.cc:1.44.4.2->1.44.4.3 

Index: squid3/src/redirect.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/redirect.cc,v
retrieving revision 1.27.4.1
retrieving revision 1.27.4.2
diff -u -r1.27.4.1 -r1.27.4.2
--- squid3/src/redirect.cc	29 Dec 2007 15:24:43 -0000	1.27.4.1
+++ squid3/src/redirect.cc	22 Jan 2008 17:07:02 -0000	1.27.4.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: redirect.cc,v 1.27.4.1 2007/12/29 15:24:43 chtsanti Exp $
+ * $Id: redirect.cc,v 1.27.4.2 2008/01/22 17:07:02 chtsanti Exp $
  *
  * DEBUG: section 61    Redirector
  * AUTHOR: Duane Wessels
@@ -113,7 +113,7 @@
 void
 redirectStart(ClientHttpRequest * http, RH * handler, void *data)
 {
-    ConnStateData::Pointer conn = http->getConn();
+    ConnStateData * conn = http->getConn();
     redirectStateData *r = NULL;
     const char *fqdn;
     char buf[8192];
Index: squid3/src/stat.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/stat.cc,v
retrieving revision 1.44.4.2
retrieving revision 1.44.4.3
diff -u -r1.44.4.2 -r1.44.4.3
--- squid3/src/stat.cc	29 Dec 2007 15:24:43 -0000	1.44.4.2
+++ squid3/src/stat.cc	22 Jan 2008 17:07:02 -0000	1.44.4.3
@@ -1,5 +1,5 @@
 /*
- * $Id: stat.cc,v 1.44.4.2 2007/12/29 15:24:43 chtsanti Exp $
+ * $Id: stat.cc,v 1.44.4.3 2008/01/22 17:07:02 chtsanti Exp $
  *
  * DEBUG: section 18    Cache Manager Statistics
  * AUTHOR: Harvest Derived
@@ -1651,8 +1651,8 @@
         const char *p = NULL;
         http = static_cast<ClientHttpRequest *>(i->data);
         assert(http);
-        ConnStateData::Pointer conn = http->getConn();
-        storeAppendPrintf(s, "Connection: %p\n", conn.getRaw());
+        ConnStateData * conn = http->getConn();
+        storeAppendPrintf(s, "Connection: %p\n", conn);
 
         if (conn != NULL) {
             fd = conn->fd;
